Subject: Re: bug#39815: Sharing the store between a host and a guest

From: raingloom <[email-masked]>
Date: Thu, 27 Feb 2020 21:33:59 +0100

Would have to share the connection with the Guix daemon. The VM would 
see the changes but it could write to the store directly. But that's 
effectively what you want. When you use guix as a user, the guix 
command doesn't write to the store, it tells the daemon to do things. 
Same deal here.

On Thu, Feb 27, 2020 at 21:28, Damien Cassou <[email-masked]> wrote:
> Hi,
> 
> `guix system vm` generates a VM which shares /gnu/store with the
> host. However, the share is done read-only.  The info pages recommends
> copying the VM image and making it writable.
> 
> Is it possible/recommended to get a writable and shared /gnu/store in
> the VM?
> 
> Best,
> 
> --
> Damien Cassou
> 
> "Success is the ability to go from one failure to another without
> losing enthusiasm." --Winston Churchill
> 
> 
>